public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/pdf-reader/
Date: Mon,  2 Jan 2017 06:59:09 +0000 (UTC)	[thread overview]
Message-ID: <1483340227.a47bb6c9b7e303ee5b17a7a95a30ff6780c6382d.graaff@gentoo> (raw)

commit:     a47bb6c9b7e303ee5b17a7a95a30ff6780c6382d
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jan  2 06:37:17 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jan  2 06:57:07 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a47bb6c9

dev-ruby/pdf-reader: add 1.4.1

Package-Manager: portage-2.3.0

 dev-ruby/pdf-reader/Manifest                |  1 +
 dev-ruby/pdf-reader/pdf-reader-1.4.1.ebuild | 46 +++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-ruby/pdf-reader/Manifest b/dev-ruby/pdf-reader/Manifest
index 4facb50..f21cfdf 100644
--- a/dev-ruby/pdf-reader/Manifest
+++ b/dev-ruby/pdf-reader/Manifest
@@ -1,2 +1,3 @@
 DIST pdf-reader-1.4.0.tar.gz 10237090 SHA256 c23d5eec976c5d824d16f348ef49b87b0918cc2a2327aa7936605b92b8c181e9 SHA512 e9b123058c5bf31c7ac264adf17da25cb643408cd0ac4f8da0b7949576e11b1ac4141df649c7ce45f3accf2ddfb6ab3edd35ce336e4588bb090bfbbfe1f42965 WHIRLPOOL 8d50fde908037c228cc40028cb10e040b4571446ebba07140e6f0b1515d6ff0d282c37c08071a86a256e8a3722a86c069d2e1db6bd35fb2c577c68fbfc2d41a9
+DIST pdf-reader-1.4.1.tar.gz 10236680 SHA256 e1898c975e18b0a59abad36e0a4f2d28309cf5983e00989e4c843362edf047ae SHA512 aaa53dafc2d58dc591f708941907ecf14b1ee73362a7bd6d34659103d51effa90888560733747ca1bfe3d217cb6834109e06b024f40a95214880ca42f54054e5 WHIRLPOOL 025c42faf57470626492284fc21be8f83b8902a903a04edb5d3fb9064e7a8ed4a328e8f5c6be165a1dd50c3f215eeb1972c1bf91295d78a0c13f78d4ced863f2
 DIST pdf-reader-git-1.3.3.tgz 9987686 SHA256 1e5e468fe99911ec4472031e66ebe6a4bb1fc05a2156b646ce9dff43c0253815 SHA512 5394767df24de30133e3b33a00421588f85fecd4006d2bbe622e905ef0d92947a2d11f6ea7bb8f61b43aebba9204b2c2512f97dc120d19fc87cd0a42011a3750 WHIRLPOOL bd6f15fe6548728d884890cddfddb4abf0e35504528036703f582e3c405e7c4efcb71a7b4e846b67e7767bcaf34a9219ee9d1a7f45f84bf2cabd860eebf2934e

diff --git a/dev-ruby/pdf-reader/pdf-reader-1.4.1.ebuild b/dev-ruby/pdf-reader/pdf-reader-1.4.1.ebuild
new file mode 100644
index 00000000..0325acb
--- /dev/null
+++ b/dev-ruby/pdf-reader/pdf-reader-1.4.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+GITHUB_USER=yob
+
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG README.rdoc TODO"
+
+inherit ruby-fakegem
+
+DESCRIPTION="PDF parser conforming as much as possible to the PDF specification from Adobe"
+HOMEPAGE="https://github.com/yob/pdf-reader/"
+
+# We cannot use the gem distributions because they don't contain the
+# tests' data, we have to rely on the git tags.
+SRC_URI="https://github.com/${GITHUB_USER}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/afm-0.2.1
+	=dev-ruby/ascii85-1*
+	=dev-ruby/hashery-2*
+	dev-ruby/ttfunk:*
+	dev-ruby/ruby-rc4"
+
+all_ruby_prepare() {
+	# Remove bundler support
+	sed -i -e '/[Bb]undler/d' spec/spec_helper.rb || die
+}
+
+all_ruby_install() {
+	all_fakegem_install
+
+	docinto examples
+	dodoc examples/* || die
+}


             reply	other threads:[~2017-01-02  6:59 UTC|newest]

Thread overview: 52+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-01-02  6:59 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-07  5:58 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/pdf-reader/ Hans de Graaff
2025-01-29  6:46 Hans de Graaff
2025-01-29  6:46 Hans de Graaff
2024-11-03  6:38 Hans de Graaff
2024-07-11 16:19 Hans de Graaff
2024-02-15  7:14 Hans de Graaff
2023-12-27  7:23 Hans de Graaff
2023-09-15 14:56 Hans de Graaff
2023-08-26 19:07 Hans de Graaff
2023-07-02  4:38 Hans de Graaff
2022-11-04  7:48 Hans de Graaff
2022-07-30  7:46 Hans de Graaff
2022-07-30  7:46 Hans de Graaff
2022-06-18  5:48 Hans de Graaff
2022-04-30  9:08 Hans de Graaff
2022-02-11  7:43 Hans de Graaff
2022-01-30  8:19 Hans de Graaff
2022-01-08 11:47 Hans de Graaff
2021-11-13  5:24 Hans de Graaff
2021-11-13  5:24 Hans de Graaff
2021-10-23  6:55 Hans de Graaff
2021-10-23  6:55 Hans de Graaff
2021-06-10  6:13 Hans de Graaff
2021-02-06  6:59 Hans de Graaff
2020-11-21  8:32 Hans de Graaff
2020-10-02  5:15 Hans de Graaff
2020-09-11  5:14 Hans de Graaff
2020-02-22 10:22 Hans de Graaff
2020-02-22 10:22 Hans de Graaff
2019-11-22  9:03 Hans de Graaff
2019-11-07  7:51 Hans de Graaff
2019-07-28  5:06 Hans de Graaff
2019-05-08 19:59 Hans de Graaff
2019-05-08 19:59 Hans de Graaff
2019-01-28 21:45 Hans de Graaff
2018-12-20  6:40 Hans de Graaff
2018-07-03  5:15 Hans de Graaff
2018-05-01  4:45 Hans de Graaff
2018-04-29  9:42 Hans de Graaff
2018-04-17  4:28 Hans de Graaff
2018-04-10 20:21 Hans de Graaff
2018-03-24  8:35 Hans de Graaff
2018-01-22 19:04 Hans de Graaff
2018-01-22 19:04 Hans de Graaff
2017-08-25  6:09 Hans de Graaff
2017-02-25  7:19 Hans de Graaff
2017-02-25  7:19 Hans de Graaff
2017-01-22  1:39 Manuel Rüger
2016-04-07 22:41 Manuel Rüger
2016-02-24  6:45 Hans de Graaff
2015-12-12  7:35 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1483340227.a47bb6c9b7e303ee5b17a7a95a30ff6780c6382d.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox